![Cooltipz.css](./logo.png "Cooltipz.css logo")

---

# Cooltipz.css

**Cool tooltipz made with love from simple, pure CSS**

[Read the docs here](https://cooltipz.jackdomleo.dev)

**Features**
- Pure CSS
- No JavaScript required
- Accessible with `aria-label` attributes
- Easy and simple
- Tooltips appear on `hover` and `focus`
- Options to use classes or `data-` attributes


---

## Installation

### Stylesheet

Link to CDN stylesheet in your `<head>`
```html
<!-- This will always get the latest stylesheet -->
<link rel="stylesheet" href="https://raw.githack.com/JDomleo/Cooltipz.css/master/cooltipz.min.css" />
```

Link to CDN stylesheet in you CSS
```css
@import url(https://raw.githack.com/JDomleo/Cooltipz.css/master/cooltipz.min.css);
```

Download it from GitHub and link to it locally
```html
<!-- This will never be updated, unless manually changed -->
<link rel="stylesheet" href="path/to/cooltipz.min.css" />
```

### npm

Install via npm
```
npm install cooltipz-css --save
```

Import into your JavaScript
```js
import 'cooltipz-css';
```

Or import into your Sass/SCSS
```scss
@import '~cooltipz-css/src/cooltipz';
```

---

## Release Process

_Major_._Minor_._Patch_ - E.g. _0.1.0_

#### Major
- Breaking changes

#### Minor
- Feature updates
- New features

#### Patch
- Bug fixes

---

## Contributors

<a href="https://github.com/JDomleo/Cooltipz.css/graphs/contributors">
  <img src="https://contributors-img.web.app/image?repo=JDomleo/Cooltipz.css" alt="Jack Domleo" title="Jack Domleo" />
</a>

---

[npm](https://www.npmjs.com/package/cooltipz-css) &bull; [GitHub](https://github.com/JDomleo/Cooltipz.css) &bull; [docs](https://cooltipz.jackdomleo.dev)